Subject: Re: Problems with ncurses
From: [email-masked] (Justin Smith)

5 Dec 1997 23:47:41 -0800
Message-ID: <[email-masked]>
References: <c=US%a=INFONET%p=NESTLE%l=NESTLE/US01/[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Buckingham,Mark,SOLON,NUSA" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>

Buckingham,Mark,SOLON,NUSA wrote:
> 
> I'm trying to get ncurses compiled & running.  (I downloaded ncurses
> 1.9.9e from the Slackware linux distribution.)
> 
> I remounted by C: drive as text = binary.  No problems.
> I ran configure.  No problems.
> Ran make.  No problems.
> 
> When I try to run any of the tests, I get something like the following:
> 
> (c:\gnu\ncurses-1.9.9e\test\view.exe 3445) In cygwin_except_handler exc
> C0000005 at 10042894 sp 242E5B0
> (c:\gnu\ncurses-1.9.9e\test\view.exe 3445) Exception trapped!
> (c:\gnu\ncurses-1.9.9e\test\view.exe 3445) exception C0000005 at

....

> 
> I get this on both my NT 4.0 machine with NTFS, and my windows 95
> machine.
> 
> Here is the environment on my NT 4.0 machine:
> 

....

> TERM=dumb
> _=/gnuwin32/b18/H-i386-cygwin32/bin/env
> 
> I know people have gotten ncurses to work ok.  Any ideas?
> 

Change TERM to something other than "dumb" ("linux" is a good start).  I
am still messing around with this, too, but dumb is, literally, "dumb",
and cannot handle most of the functions ncurses can provide.
-- 

Justin Smith,
Systems Engineer with the law office of
  Dewey, Cheetam and Howe.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".